Module org.jfree.chart3d
Package org.jfree.chart3d.graphics3d

# Class DoubleSidedFace

java.lang.Object
org.jfree.chart3d.graphics3d.Face
org.jfree.chart3d.graphics3d.DoubleSidedFace

public class DoubleSidedFace extends Face
A double-sided face. This is identical to a normal face except that during rendering these faces will be drawn no matter which side they are viewed from.

Since:
  1.1

## Constructor Summary

Constructors
Constructor
Description
`DoubleSidedFace(Object3D owner, int[] vertices)`
Creates a new double-sided face.

## Method Summary

### Methods inherited from class org.jfree.chart3d.graphics3d.Face

`calculateAverageZValue, calculateNormal, createPath, getColor, getOffset, getOutline, getOwner, getTag, getVertexCount, getVertexIndex, isFrontFacing, setOffset, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoubleSidedFace

public DoubleSidedFace(Object3D owner, int[] vertices)
Creates a new double-sided face.

Parameters:
  `owner` - the object that the face belongs to (`null` not permitted).
  `vertices` - the vertices.
Since:
  1.3